﻿@model FourthMVCAppMy.Models.Ads.AdFilterModel

@{
    ViewData["Title"] = "Index";
}

<p>
    <a asp-action="AdCreate">Добавить объявление</a>
</p>
<div class="row">
    <div class="col-md-4">
        <form asp-action="Index" method="get">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="SearchKey" class="control-label"></label>
                <input asp-for="SearchKey" class="form-control" value="@Model.SearchKey" />
                <span asp-validation-for="SearchKey" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PriceFrom" class="control-label"></label>
                <input asp-for="PriceFrom" class="form-control" value="@Model.PriceFrom" />
                <span asp-validation-for="PriceFrom" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PriceTo" class="control-label"></label>
                <input asp-for="PriceTo" class="form-control" value="@Model.PriceTo" />
                <span asp-validation-for="PriceTo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Search" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<table class="table">
    <tbody>
        @foreach (var item in Model.Ads.OrderByDescending(s => s.Id))
        {
        <tr>
            <td>
                <img style="width: 15%; height: 10%" src="data:image/jpeg;base64,@(Convert.ToBase64String(item.Image))" />
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Author)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DateOfСreation)
            </td>
            <td>
                <a asp-action="Details" asp-route-adId="@item.Id">
                    @Html.DisplayFor(modelItem => item.Title)
                </a>
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Price)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Categories)
            </td>
        </tr>
        <tr>
            <td>
                <a asp-action="Details" asp-route-adId="@item.Id">
                    @Html.DisplayFor(modelItem => item.Description)
                </a>
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ContactName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ContactPhone)
            </td>
        </tr>
        }
    </tbody>
</table>


